## org.cometd.oort
Class Oort.OortExtension

    java.lang.Object
      org.cometd.oort.Oort.OortExtension

All Implemented Interfaces:
  org.cometd.Extension

Enclosing class:
  Oort

    protected class Oort.OortExtension

extends Object
implements org.cometd.Extension

Extension to detect incoming handshake from other Oort servers and to call `Oort.oortHandshook(String, String, String)`.

Constructor Summary
`protected` `Oort.OortExtension()`

Method Summary
`org.cometd.Message` `rcv(org.cometd.Client from, org.cometd.Message message)`
`org.cometd.Message` `rcvMeta(org.cometd.Client from, org.cometd.Message message)`
`org.cometd.Message` `send(org.cometd.Client from, org.cometd.Message message)`
`org.cometd.Message` `sendMeta(org.cometd.Client from, org.cometd.Message message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Oort.OortExtension

    protected Oort.OortExtension()

Method Detail

### rcv

    public org.cometd.Message rcv(org.cometd.Client from,
                                  org.cometd.Message message)

  Specified by:
    `rcv` in interface `org.cometd.Extension`

### rcvMeta

    public org.cometd.Message rcvMeta(org.cometd.Client from,
                                      org.cometd.Message message)

  Specified by:
    `rcvMeta` in interface `org.cometd.Extension`

### send

    public org.cometd.Message send(org.cometd.Client from,
                                   org.cometd.Message message)

  Specified by:
    `send` in interface `org.cometd.Extension`

### sendMeta

    public org.cometd.Message sendMeta(org.cometd.Client from,
                                       org.cometd.Message message)

  Specified by:
    `sendMeta` in interface `org.cometd.Extension`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.